Bug 333741 - digiKam 3.5: repeatedly crashes
Summary: digiKam 3.5: repeatedly crashes
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Sqlite (show other bugs)
Version: 3.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-04-22 21:08 UTC by Axel Krebs
Modified: 2021-12-17 11:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 7.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Krebs 2014-04-22 21:08:38 UTC
Application: digikam (3.5.0)
KDE Platform Version: 4.13.0
Qt Version: 4.8.6
Operating System: Linux 3.13.0-24-generic i686
Distribution: Ubuntu 14.04 LTS

-- Information about the crash:
- What I was doing when the application crashed:

transferring NIKON D800-jpgs into png's 
pic size 15-20 MB
sometims crfashes, sometimes not

The crash can be reproduced sometimes.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xace83900 (LWP 6619))]

Thread 6 (Thread 0xace50b40 (LWP 6620)):
#0  0xb779c424 in __kernel_vsyscall ()
#1  0xb4ba17ab in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xada03442 in ?? () from /lib/i386-linux-gnu/libusb-1.0.so.0
#3  0xb32a0f70 in start_thread (arg=0xace50b40) at pthread_create.c:312
#4  0xb4bb070e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 5 (Thread 0xa9b47b40 (LWP 6621)):
#0  0xb779c424 in __kernel_vsyscall ()
#1  0xb32a4d4b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4bbd8ec in __pthread_cond_wait (cond=0x8eea768, mutex=0x8eea750) at forward.c:149
#3  0xb4ea40f5 in wait (time=4294967295, this=0x8eea750) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0x8eea6c4, mutex=mutex@entry=0x8eea6c0, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x0820dd94 in Digikam::ScanController::run (this=0x8ff2500) at /build/buildd/digikam-3.5.0/core/digikam/database/scancontroller.cpp:725
#6  0xb4ea3b6f in QThreadPrivate::start (arg=0x8ff2500) at thread/qthread_unix.cpp:349
#7  0xb32a0f70 in start_thread (arg=0xa9b47b40) at pthread_create.c:312
#8  0xb4bb070e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 4 (Thread 0xa91ffb40 (LWP 6622)):
#0  __GI___pthread_mutex_lock (mutex=0xa8800558) at ../nptl/pthread_mutex_lock.c:158
#1  0xb4bbdaf4 in pthread_mutex_lock (mutex=0xa8800558) at forward.c:192
#2  0xb2f1c100 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2ed69bd in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2ed72df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2ed7528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb4fe595f in QEventDispatcherGlib::processEvents (this=0xa8800468, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#7  0xb4fb4823 in QEventLoop::processEvents (this=this@entry=0xa91ff098, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4fb4b49 in QEventLoop::exec (this=this@entry=0xa91ff098, flags=...) at kernel/qeventloop.cpp:204
#9  0xb4ea123d in QThread::exec (this=this@entry=0x8eebb68) at thread/qthread.cpp:537
#10 0xb4f94c44 in QInotifyFileSystemWatcherEngine::run (this=0x8eebb68) at io/qfilesystemwatcher_inotify.cpp:265
#11 0xb4ea3b6f in QThreadPrivate::start (arg=0x8eebb68) at thread/qthread_unix.cpp:349
#12 0xb32a0f70 in start_thread (arg=0xa91ffb40) at pthread_create.c:312
#13 0xb4bb070e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 3 (Thread 0xa87ffb40 (LWP 6633)):
#0  0xb779c424 in __kernel_vsyscall ()
#1  0xb32a4d4b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4bbd8ec in __pthread_cond_wait (cond=0x9474af0, mutex=0x9474ad8) at forward.c:149
#3  0xb4ea40f5 in wait (time=4294967295, this=0x9474ad8) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0x9474f88, mutex=mutex@entry=0x9474f84, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb6ab02b4 in Digikam::ParkingThread::run (this=0x9474f78) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:119
#6  0xb4ea3b6f in QThreadPrivate::start (arg=0x9474f78) at thread/qthread_unix.cpp:349
#7  0xb32a0f70 in start_thread (arg=0xa87ffb40) at pthread_create.c:312
#8  0xb4bb070e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 2 (Thread 0xa31e6b40 (LWP 6634)):
#0  0xb779c424 in __kernel_vsyscall ()
#1  0xb4bbe392 in __GI___clock_gettime (clock_id=1, tp=0xa31e5e38) at ../sysdeps/unix/clock_gettime.c:115
#2  0xb4efe8cc in do_gettime (frac=0xa31e5e30, sec=0xa31e5e28) at tools/qelapsedtimer_unix.cpp:127
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:144
#4  0xb4fe72a2 in updateCurrentTime (this=0xa28020e4) at kernel/qeventdispatcher_unix.cpp:354
#5  QTimerInfoList::timerWait (this=0xa28020e4, tm=...) at kernel/qeventdispatcher_unix.cpp:460
#6  0xb4fe582b in timerSourcePrepareHelper (src=<optimized out>, timeout=0xa31e5f2c) at kernel/qeventdispatcher_glib.cpp:143
#7  0xb4fe58bd in timerSourcePrepare (source=0xa28020b0, timeout=0xa31e5f2c) at kernel/qeventdispatcher_glib.cpp:176
#8  0xb2ed69b3 in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb2ed72df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb2ed7528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#11 0xb4fe595f in QEventDispatcherGlib::processEvents (this=0xa2800468, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#12 0xb4fb4823 in QEventLoop::processEvents (this=this@entry=0xa31e6098, flags=...) at kernel/qeventloop.cpp:149
#13 0xb4fb4b49 in QEventLoop::exec (this=this@entry=0xa31e6098, flags=...) at kernel/qeventloop.cpp:204
#14 0xb4ea123d in QThread::exec (this=this@entry=0x9679b40) at thread/qthread.cpp:537
#15 0xb4f94c44 in QInotifyFileSystemWatcherEngine::run (this=0x9679b40) at io/qfilesystemwatcher_inotify.cpp:265
#16 0xb4ea3b6f in QThreadPrivate::start (arg=0x9679b40) at thread/qthread_unix.cpp:349
#17 0xb32a0f70 in start_thread (arg=0xa31e6b40) at pthread_create.c:312
#18 0xb4bb070e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 1 (Thread 0xace83900 (LWP 6619)):
[KCrash Handler]
#7  0x085de124 in QVectorData::shared_null ()
#8  0xae58d38e in sqlite3MemCompare (pMem1=pMem1@entry=0xbfb24038, pMem2=<optimized out>, pColl=0x35e408e8) at sqlite3.c:60484
#9  0xae58d576 in sqlite3VdbeRecordCompare (nKey1=55, pKey1=0xa7a10ab1, pPKey2=pPKey2@entry=0xbfb242bc) at sqlite3.c:64162
#10 0xae5a2ba2 in sqlite3BtreeMovetoUnpacked (pCur=0x3603e630, pIdxKey=0xbfb242bc, intKey=0, biasRight=0, pRes=0xbfb242b0) at sqlite3.c:55077
#11 0xae5cd165 in sqlite3VdbeExec (p=p@entry=0x3611e0c0) at sqlite3.c:70168
#12 0xae5d5d8e in sqlite3Step (p=0x3611e0c0) at sqlite3.c:64828
#13 sqlite3_step (pStmt=0x3611e0c0) at sqlite3.c:64894
#14 0xa9340e9c in QSQLiteResultPrivate::fetchNext (this=this@entry=0x34471818, values=..., idx=idx@entry=0, initialFetch=initialFetch@entry=true) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:235
#15 0xa9341ebd in QSQLiteResult::exec (this=0x345064f0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:447
#16 0xb774be60 in QSqlQuery::exec (this=this@entry=0xbfb24758) at kernel/qsqlquery.cpp:949
#17 0xb6a64431 in Digikam::DatabaseCoreBackend::exec (this=0x9043550, query=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1414
#18 0xb6a645d5 in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x9043550, query=..., boundValue1=..., boundValue2=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1064
#19 0xb6a6555a in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x9043550, sql=..., boundValue1=..., boundValue2=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1013
#20 0xb6a655be in Digikam::DatabaseCoreBackend::execSql (this=0x9043550, sql=..., boundValue1=..., boundValue2=..., values=values@entry=0x0, lastInsertId=lastInsertId@entry=0x0) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:910
#21 0xb663cd5c in Digikam::AlbumDB::setImageCopyrightProperty (this=0x8e86368, imageID=417883, property=..., value=..., extraValue=..., uniqueness=uniqueness@entry=Digikam::AlbumDB::PropertyUnique) at /build/buildd/digikam-3.5.0/core/libs/database/albumdb.cpp:2163
#22 0xb66b9b47 in Digikam::ImageCopyright::setSimpleProperty (this=this@entry=0xbfb24954, property=..., value=...) at /build/buildd/digikam-3.5.0/core/libs/database/imagecopyright.cpp:411
#23 0xb66b9be0 in Digikam::ImageCopyright::setProvider (this=this@entry=0xbfb24954, provider=...) at /build/buildd/digikam-3.5.0/core/libs/database/imagecopyright.cpp:167
#24 0xb66baa27 in setCredit (credit=..., this=0xbfb24954) at /build/buildd/digikam-3.5.0/core/libs/database/imagecopyright.h:138
#25 Digikam::ImageCopyright::setFromTemplate (this=this@entry=0xbfb24954, t=...) at /build/buildd/digikam-3.5.0/core/libs/database/imagecopyright.cpp:319
#26 0xb66cf12a in Digikam::ImageScanner::commitImageCopyright (this=this@entry=0xbfb24a3c) at /build/buildd/digikam-3.5.0/core/libs/database/imagescanner.cpp:735
#27 0xb66d8530 in Digikam::ImageScanner::commit (this=this@entry=0xbfb24a3c) at /build/buildd/digikam-3.5.0/core/libs/database/imagescanner.cpp:240
#28 0xb666a3be in Digikam::CollectionScanner::Private::finishScanner (this=0x35fea628, scanner=...) at /build/buildd/digikam-3.5.0/core/libs/database/collectionscanner.cpp:353
#29 0xb666a991 in Digikam::CollectionScanner::scanNewFile (this=this@entry=0xbfb24c04, info=..., albumId=albumId@entry=16217) at /build/buildd/digikam-3.5.0/core/libs/database/collectionscanner.cpp:1251
#30 0xb666b939 in Digikam::CollectionScanner::scanFile (this=this@entry=0xbfb24c04, fi=..., albumId=albumId@entry=16217, imageId=-1, mode=mode@entry=Digikam::CollectionScanner::NormalScan) at /build/buildd/digikam-3.5.0/core/libs/database/collectionscanner.cpp:775
#31 0xb666c02f in Digikam::CollectionScanner::scanFile (this=this@entry=0xbfb24c04, albumRoot=..., album=..., fileName=..., mode=mode@entry=Digikam::CollectionScanner::NormalScan) at /build/buildd/digikam-3.5.0/core/libs/database/collectionscanner.cpp:749
#32 0xb666c2ff in Digikam::CollectionScanner::scanFile (this=this@entry=0xbfb24c04, filePath=..., mode=mode@entry=Digikam::CollectionScanner::NormalScan) at /build/buildd/digikam-3.5.0/core/libs/database/collectionscanner.cpp:718
#33 0x0820d15d in Digikam::ScanController::scannedInfo (this=0x8ff2500, filePath=...) at /build/buildd/digikam-3.5.0/core/digikam/database/scancontroller.cpp:555
#34 0x080c7902 in Digikam::ImageWindow::saveAsIsComplete (this=0x338de390) at /build/buildd/digikam-3.5.0/core/utilities/imageeditor/main/imagewindow.cpp:1013
#35 0x080c771e in Digikam::ImageWindow::saveVersionIsComplete (this=0x338de390) at /build/buildd/digikam-3.5.0/core/utilities/imageeditor/main/imagewindow.cpp:985
#36 0xb6bbfd9b in Digikam::EditorWindow::movingSaveFileFinished (this=this@entry=0x338de390, successful=true) at /build/buildd/digikam-3.5.0/core/utilities/imageeditor/editor/editorwindow.cpp:1807
#37 0xb6bcf1c4 in Digikam::EditorWindow::moveFile (this=this@entry=0x338de390) at /build/buildd/digikam-3.5.0/core/utilities/imageeditor/editor/editorwindow.cpp:2627
#38 0xb6bcf908 in Digikam::EditorWindow::slotSavingFinished (this=0x338de390, filename=..., success=true) at /build/buildd/digikam-3.5.0/core/utilities/imageeditor/editor/editorwindow.cpp:1765
#39 0xb6bcfbdd in Digikam::EditorWindow::qt_static_metacall (_o=0x10, _id=140370212, _a=0xbfb24f74, _c=<optimized out>) at /build/buildd/digikam-3.5.0/obj-i686-linux-gnu/core/digikam/editorwindow.moc:213
#40 0xb4fcb0f7 in QMetaObject::activate (sender=sender@entry=0x338e7468, m=m@entry=0xb6cd5618 <Digikam::Canvas::staticMetaObject>, local_signal_index=local_signal_index@entry=13, argv=argv@entry=0xbfb24f74) at kernel/qobject.cpp:3539
#41 0xb6b1e445 in Digikam::Canvas::signalSavingFinished (this=this@entry=0x338e7468, _t1=..., _t2=_t2@entry=true) at /build/buildd/digikam-3.5.0/obj-i686-linux-gnu/core/digikam/canvas.moc:298
#42 0xb6b1e61c in Digikam::Canvas::slotImageSaved (this=0x338e7468, filePath=..., success=true) at /build/buildd/digikam-3.5.0/core/utilities/imageeditor/q3support/canvas.cpp:321
#43 0xb6b246dd in Digikam::Canvas::qt_static_metacall (_o=0x10, _id=140370212, _a=0xbfb25094, _c=<optimized out>) at /build/buildd/digikam-3.5.0/obj-i686-linux-gnu/core/digikam/canvas.moc:161
#44 0xb4fcb0f7 in QMetaObject::activate (sender=sender@entry=0x13d68d38, m=m@entry=0xb6cd8d78 <Digikam::EditorCore::staticMetaObject>, local_signal_index=local_signal_index@entry=8, argv=argv@entry=0xbfb25094) at kernel/qobject.cpp:3539
#45 0xb6b8ff35 in Digikam::EditorCore::signalImageSaved (this=0x13d68d38, _t1=..., _t2=true) at /build/buildd/digikam-3.5.0/obj-i686-linux-gnu/core/digikam/editorcore.moc:197
#46 0xb6b98838 in Digikam::EditorCore::slotImageSaved (this=0x13d68d38, filePath=..., success=true) at /build/buildd/digikam-3.5.0/core/utilities/imageeditor/core/editorcore.cpp:451
#47 0xb6b98cb9 in Digikam::EditorCore::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=0x993e1168, _c=<optimized out>) at /build/buildd/digikam-3.5.0/obj-i686-linux-gnu/core/digikam/editorcore.moc:90
#48 0xb4fc78aa in QMetaCallEvent::placeMetaCall (this=0x9fb2d9c0, object=0x13d68d38) at kernel/qobject.cpp:524
#49 0xb4fcf6fb in QObject::event (this=0x13d68d38, e=0x9fb2d9c0) at kernel/qobject.cpp:1194
#50 0xb55117f4 in QApplicationPrivate::notify_helper (this=0x8e28988, receiver=0x13d68d38, e=0x9fb2d9c0) at kernel/qapplication.cpp:4567
#51 0xb55182d3 in QApplication::notify (this=0xbfb259c8, receiver=receiver@entry=0x13d68d38, e=e@entry=0x9fb2d9c0) at kernel/qapplication.cpp:4353
#52 0xb60610a4 in KApplication::notify (this=0xbfb259c8, receiver=0x13d68d38, event=0x9fb2d9c0) at ../../kdeui/kernel/kapplication.cpp:311
#53 0xb4fb5e4a in QCoreApplication::notifyInternal (this=0xbfb259c8, receiver=receiver@entry=0x13d68d38, event=event@entry=0x9fb2d9c0) at kernel/qcoreapplication.cpp:953
#54 0xb4fb970d in sendEvent (event=0x9fb2d9c0, receiver=0x13d68d38) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#55 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x8dc0d90) at kernel/qcoreapplication.cpp:1577
#56 0xb4fb9c1c in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1470
#57 0xb4fe623e in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#58 postEventSourceDispatch (s=0x8e27c20) at kernel/qeventdispatcher_glib.cpp:287
#59 0xb2ed71e3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#60 0xb2ed7468 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#61 0xb2ed7528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#62 0xb4fe593b in QEventDispatcherGlib::processEvents (this=this@entry=0x8d93f90, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#63 0xb55c65de in QGuiEventDispatcherGlib::processEvents (this=0x8d93f90, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#64 0xb4fb4823 in QEventLoop::processEvents (this=this@entry=0xbfb257f8, flags=...) at kernel/qeventloop.cpp:149
#65 0xb4fb4b49 in QEventLoop::exec (this=this@entry=0xbfb257f8, flags=...) at kernel/qeventloop.cpp:204
#66 0xb4fba8fe in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#67 0xb550fa24 in QApplication::exec () at kernel/qapplication.cpp:3828
#68 0x080bc190 in main (argc=1, argv=0xbfb25b04) at /build/buildd/digikam-3.5.0/core/digikam/main/main.cpp:235

Possible duplicates by query: bug 333700, bug 333671, bug 333660, bug 333642, bug 333389.

Reported using DrKonqi
Comment 1 Jekyll Wu 2014-04-23 00:41:18 UTC

*** This bug has been marked as a duplicate of bug 329697 ***
Comment 2 caulier.gilles 2021-12-17 11:50:45 UTC
Fixed with #329697